module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/components/Content/index.tsx":
/*!******************************************!*\
  !*** ./src/components/Content/index.tsx ***!
  \******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(/*! react */ "react");
const { connect: fela } = __webpack_require__(/*! react-fela */ "react-fela");
const EditorPanel = (({ styles, editors }) => (React.createElement("div", { className: styles.container }, editors)));
exports.default = fela({
    container: ({ consolePanelHeight }) => ({
        width: '100%',
        height: `calc(100% - ${consolePanelHeight}px)`,
        position: 'relative',
    }),
})(EditorPanel);


/***/ }),

/***/ "./src/components/Header/Icons.tsx":
/*!*****************************************!*\
  !*** ./src/components/Header/Icons.tsx ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(/*! react */ "react");
const { connect: fela, withTheme } = __webpack_require__(/*! react-fela */ "react-fela");
const iconStyle = {
    display: 'block',
    height: '35px',
    lineHeight: '35px',
    minWidth: '28px',
    backgroundSize: '16px!important',
    backgroundPosition: '50%!important',
    backgroundRepeat: 'no-repeat!important',
    outlineOffset: '-2px',
};
const icons = {
    lock: "%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%23f6f6f6}.icon-vs-out{fill:%23f6f6f6}.icon-vs-bg{fill:%23424242}.icon-vs-fg{fill:%23f0eff1}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 16H0V0h16v16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M12 6V4.75c0-2.206-1.794-4-4-4s-4 1.794-4 4V6H2v9h12V6h-2zM5 4.75c0-1.654 1.346-3 3-3s3 1.346 3 3V6H5V4.75zM13 14H3V7h10v7zM6.75 9.25a1.25 1.25 0 0 1 2.5 0c0 .512-.309.95-.75 1.143V13h-1v-2.607a1.248 1.248 0 0 1-.75-1.143z' id='iconBg'/%3E%3C/svg%3E",
    lockDark: "%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%232d2d30}.icon-vs-out{fill:%232d2d30}.icon-vs-bg{fill:%23c5c5c5}.icon-vs-fg{fill:%232b282e}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 16H0V0h16v16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M12 6V4.75c0-2.206-1.794-4-4-4s-4 1.794-4 4V6H2v9h12V6h-2zM5 4.75c0-1.654 1.346-3 3-3s3 1.346 3 3V6H5V4.75zM13 14H3V7h10v7zM6.75 9.25a1.25 1.25 0 0 1 2.5 0c0 .512-.309.95-.75 1.143V13h-1v-2.607a1.248 1.248 0 0 1-.75-1.143z' id='iconBg'/%3E%3C/svg%3E",
    unlock: "%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%23f6f6f6}.icon-vs-out{fill:%23f6f6f6}.icon-vs-bg{fill:%23424242}.icon-vs-fg{fill:%23f0eff1}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 0v16H0V0h16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M12 1c-1.822 0-3 1.178-3 3v3H2v8h10V7h-2V4c0-1.271.729-2 2-2s2 .729 2 2v3h1V4c0-1.822-1.178-3-3-3zm-1 7v6H3V8h8zm-3.499 2.846L7.502 13h-1l-.001-2.153A.986.986 0 0 1 6 10a1 1 0 0 1 2 0 .984.984 0 0 1-.499.846z' id='iconBg'/%3E%3C/svg%3E",
    unlockDark: "%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%232d2d30}.icon-vs-out{fill:%232d2d30}.icon-vs-bg{fill:%23c5c5c5}.icon-vs-fg{fill:%232b282e}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 0v16H0V0h16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M12 1c-1.822 0-3 1.178-3 3v3H2v8h10V7h-2V4c0-1.271.729-2 2-2s2 .729 2 2v3h1V4c0-1.822-1.178-3-3-3zm-1 7v6H3V8h8zm-3.499 2.846L7.502 13h-1l-.001-2.153A.986.986 0 0 1 6 10a1 1 0 0 1 2 0 .984.984 0 0 1-.499.846z' id='iconBg'/%3E%3C/svg%3E",
    clean: "%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16'%3E%3Cpath fill='%23fff' d='M4.222 0H2v.479a1.844 1.844 0 0 0-.043 2.269L2 2.807V6.01l-.4.296-.053.053C1.194 6.711 1 7.181 1 7.68s.194.967.549 1.32c.134.134.288.236.451.322V16h14V0H4.222z'/%3E%3Cpath fill='%23424242' d='M10.798 7l-1.83-2H15v2h-4.202zM8.506 1H5.299l1.337 1.52L8.506 1zM3 9.531V11h12V9H4.187l-.024.021c-.3.299-.716.479-1.163.51zM3 15h12v-2H3v2zm3.323-8h.631l-.347-.266L6.323 7zM15 3V1h-3.289L9.968 3H15z'/%3E%3Cpath fill='%23A1260D' d='M7.246 4.6l2.856-3.277-.405-.002-3.176 2.581L3.914.94a.856.856 0 0 0-1.082.096c-.308.306-.319.779-.069 1.12L5.593 4.6 2.254 7.066a.865.865 0 0 0 0 1.225.87.87 0 0 0 1.226 0l3.063-2.867 3.33 2.555h.466L7.246 4.6z'/%3E%3C/svg%3E",
    cleanDark: "%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16'%3E%3Cpath fill='%231E1E1E' d='M4.222 0H2v.479a1.844 1.844 0 0 0-.043 2.269L2 2.807V6.01l-.4.296-.053.053C1.194 6.711 1 7.181 1 7.68s.194.967.549 1.32c.134.134.288.236.451.322V16h14V0H4.222z'/%3E%3Cpath fill='%23E8E8E8' d='M10.798 7l-1.83-2H15v2h-4.202zM8.506 1H5.299l1.337 1.52L8.506 1zM3 9.531V11h12V9H4.187l-.024.021c-.3.299-.716.479-1.163.51zM3 15h12v-2H3v2zm3.323-8h.631l-.347-.266L6.323 7zM15 3V1h-3.289L9.968 3H15z'/%3E%3Cpath fill='%23F48771' d='M7.246 4.6l2.856-3.277-.405-.002-3.176 2.581L3.914.94a.856.856 0 0 0-1.082.096c-.308.306-.319.779-.069 1.12L5.593 4.6 2.254 7.066a.865.865 0 0 0 0 1.225.87.87 0 0 0 1.226 0l3.063-2.867 3.33 2.555h.466L7.246 4.6z'/%3E%3C/svg%3E",
};
exports.Lock = fela({
    icon: ({ theme }) => (Object.assign({}, iconStyle, { background: (theme.name === 'hc' || theme.name === 'dark')
            ? `url("data:image/svg+xml;charset=utf-8,${icons.lockDark}") 50% no-repeat`
            : `url("data:image/svg+xml;charset=utf-8,${icons.lock}") 50% no-repeat` })),
})(withTheme(({ styles, onClick }) => React.createElement("div", { className: styles.icon, onClick: onClick })));
exports.UnLock = fela({
    icon: ({ theme }) => (Object.assign({}, iconStyle, { background: (theme.name === 'hc' || theme.name === 'dark')
            ? `url("data:image/svg+xml;charset=utf-8,${icons.unlockDark}") 50% no-repeat`
            : `url("data:image/svg+xml;charset=utf-8,${icons.unlock}") 50% no-repeat` })),
})(withTheme(({ styles, onClick }) => React.createElement("div", { className: styles.icon, onClick: onClick })));
exports.Clean = fela({
    icon: ({ theme }) => (Object.assign({}, iconStyle, { background: (theme.name === 'hc' || theme.name === 'dark')
            ? `url("data:image/svg+xml;charset=utf-8,${icons.cleanDark}") 50% no-repeat`
            : `url("data:image/svg+xml;charset=utf-8,${icons.clean}") 50% no-repeat` })),
})(withTheme(({ styles, onClick }) => React.createElement("div", { className: styles.icon, onClick: onClick })));


/***/ }),

/***/ "./src/components/Header/index.tsx":
/*!*****************************************!*\
  !*** ./src/components/Header/index.tsx ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(/*! react */ "react");
const { connect: fela } = __webpack_require__(/*! react-fela */ "react-fela");
const Icons_1 = __webpack_require__(/*! ./Icons */ "./src/components/Header/Icons.tsx");
class OutputHeaderComponent extends React.Component {
    constructor() {
        super(...arguments);
        this.handleOutputActions = (e) => {
            this.props.changeOutputType(e.target.value);
        };
        this.handleLock = () => {
            this.props.lockAction();
        };
    }
    render() {
        const { lock, styles, outputList, currentTab } = this.props;
        return (React.createElement("div", { className: styles.container },
            React.createElement("div", { className: "colors" },
                React.createElement("select", { className: styles.select, value: currentTab, onChange: this.handleOutputActions }, outputList.map((item, i) => (React.createElement("option", { key: i, value: item.id }, item.name))))),
            React.createElement(Icons_1.Clean, null),
            lock ? React.createElement(Icons_1.Lock, { onClick: this.handleLock }) : React.createElement(Icons_1.UnLock, { onClick: this.handleLock })));
    }
}
const OutputHeader = fela({
    container: () => ({
        width: '100%',
        display: 'flex',
        alignItems: 'center',
    }),
})(OutputHeaderComponent);
exports.default = OutputHeader;


/***/ }),

/***/ "./src/components/index.ts":
/*!*********************************!*\
  !*** ./src/components/index.ts ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var Header_1 = __webpack_require__(/*! ./Header */ "./src/components/Header/index.tsx");
exports.OutputHeader = Header_1.default;
var Content_1 = __webpack_require__(/*! ./Content */ "./src/components/Content/index.tsx");
exports.TreePanel = Content_1.default;


/***/ }),

/***/ "./src/containers/Output.tsx":
/*!***********************************!*\
  !*** ./src/containers/Output.tsx ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const { compose } = __webpack_require__(/*! redux */ "redux");
const react_redux_1 = __webpack_require__(/*! react-redux */ "react-redux");
const actions_1 = __webpack_require__(/*! ../reducers/actions */ "./src/reducers/actions/index.ts");
const components_1 = __webpack_require__(/*! ../components */ "./src/components/index.ts");
exports.OutputHeaderEnhanced = compose(...[
    react_redux_1.connect((state) => ({
        lock: state.output.lock,
        outputList: state.output.outputList,
        currentTab: state.output.currentTab,
    }), dispatch => ({
        lockAction: () => dispatch(actions_1.lockAction()),
        changeOutputType: (index) => dispatch(actions_1.changeOutputType(index)),
    })),
])(components_1.OutputHeader);


/***/ }),

/***/ "./src/containers/index.ts":
/*!*********************************!*\
  !*** ./src/containers/index.ts ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const Output_1 = __webpack_require__(/*! ./Output */ "./src/containers/Output.tsx");
exports.OutputHeaderEnhanced = Output_1.OutputHeaderEnhanced;


/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
const module_1 = __webpack_require__(/*! ./module */ "./src/module.ts");
__export(__webpack_require__(/*! ./components */ "./src/components/index.ts"));
__export(__webpack_require__(/*! ./containers */ "./src/containers/index.ts"));
exports.default = new client_react_1.Feature(module_1.default);


/***/ }),

/***/ "./src/module.ts":
/*!***********************!*\
  !*** ./src/module.ts ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
const reducers_1 = __webpack_require__(/*! ./reducers */ "./src/reducers/index.ts");
exports.default = new client_react_1.Feature({
    reducer: {
        output: reducers_1.outputReducer,
    },
});


/***/ }),

/***/ "./src/reducers/actions/index.ts":
/*!***************************************!*\
  !*** ./src/reducers/actions/index.ts ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./output */ "./src/reducers/actions/output.ts"));


/***/ }),

/***/ "./src/reducers/actions/output.ts":
/*!****************************************!*\
  !*** ./src/reducers/actions/output.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(/*! ../constants/actionTypes */ "./src/reducers/constants/actionTypes.ts");
exports.changeOutputType = (index) => ({
    type: actionTypes_1.OUTPUT_TYPES.CHANGE_TYPE,
    payload: index,
});
exports.lockAction = () => ({
    type: actionTypes_1.OUTPUT_TYPES.LOCK,
});


/***/ }),

/***/ "./src/reducers/constants/actionTypes.ts":
/*!***********************************************!*\
  !*** ./src/reducers/constants/actionTypes.ts ***!
  \***********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.OUTPUT_TYPES = {
    LOCK: 'output/LOCK',
    CHANGE_TYPE: 'output/CHANGE_TYPE',
};


/***/ }),

/***/ "./src/reducers/index.ts":
/*!*******************************!*\
  !*** ./src/reducers/index.ts ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./reducers */ "./src/reducers/reducers/index.ts"));
__export(__webpack_require__(/*! ./actions */ "./src/reducers/actions/index.ts"));


/***/ }),

/***/ "./src/reducers/reducers/index.ts":
/*!****************************************!*\
  !*** ./src/reducers/reducers/index.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var output_1 = __webpack_require__(/*! ./output */ "./src/reducers/reducers/output.ts");
exports.outputReducer = output_1.default;


/***/ }),

/***/ "./src/reducers/reducers/output.ts":
/*!*****************************************!*\
  !*** ./src/reducers/reducers/output.ts ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes_1 = __webpack_require__(/*! ../constants/actionTypes */ "./src/reducers/constants/actionTypes.ts");
const outputList = [
    {
        name: 'Git',
        id: '0',
    },
    {
        name: 'Terminal',
        id: '1',
    },
];
const initialState = {
    lock: false,
    outputList,
    currentTab: outputList[0],
};
const reducer = (state = initialState, action) => {
    const { payload, type } = action;
    switch (type) {
        case actionTypes_1.OUTPUT_TYPES.LOCK:
            return Object.assign({}, state, { lock: !state.lock });
        case actionTypes_1.OUTPUT_TYPES.CHANGE_TYPE:
            return Object.assign({}, state, { currentTab: payload.index });
        default:
            return state;
    }
};
exports.default = reducer;


/***/ }),

/***/ "@common-stack/client-react":
/*!*********************************************!*\
  !*** external "@common-stack/client-react" ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/client-react");

/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "react" ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ "react-fela":
/*!*****************************!*\
  !*** external "react-fela" ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-fela");

/***/ }),

/***/ "react-redux":
/*!******************************!*\
  !*** external "react-redux" ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("react-redux");

/***/ }),

/***/ "redux":
/*!************************!*\
  !*** external "redux" ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("redux");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map